Bug 475135 - Review Request: portmidi - Real-time Midi I/O Library
Review Request: portmidi - Real-time Midi I/O Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 22:45 EST by Orcan Ogetbil
Modified: 2010-12-13 13:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 12:52:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lucilanga: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2008-12-07 22:45:50 EST
Spec URL: http://oget.fedorapeople.org/review/portmidi.spec
SRPM URL: http://oget.fedorapeople.org/review/portmidi-82-1.fc10.src.rpm
Description: 
PortMedia is a set of simple clean APIs and cross-platform 
library implementations for music and other media. PortMidi 
subproject provides a real-time MIDI input/output library.


rpmlint is silent.
Comment 1 Orcan Ogetbil 2009-01-11 01:36:56 EST
New upstream release
Spec URL: http://oget.fedorapeople.org/review/portmidi.spec
SRPM URL: http://oget.fedorapeople.org/review/portmidi-131-1.fc10.src.rpm
Comment 2 Lucian Langa 2009-01-27 13:17:46 EST
Review:
OK  specfile is properly named, is cleanly written and uses macros consistently.
OK  summary is OK.
OK  description is OK.
OK  dist tag is present.
OK  build root is OK.
OK  license field matches the actual license.
OK  license is open source-compatible.
OK  license text included in package.
OK  BuildRequires are proper.
OK  compiler flags are appropriate.
OK  %clean is present.
OK  package builds in mock (rawhide, x86_64).
OK  package installs properly.
OK  debuginfo package looks complete.
OK  rpmlint is silent.
OK  final provides and requires are sane:
portmidi-131-1.fc11.x86_64.rpm
        libportmidi.so.0()(64bit)
        libporttime.so.0()(64bit)
        portmidi = 131-1.fc11
        portmidi(x86-64) = 131-1.fc11
  =
        /sbin/ldconfig
        libasound.so.2()(64bit)
        libc.so.6()(64bit)
        libm.so.6()(64bit)
        libportmidi.so.0()(64bit)
        libporttime.so.0()(64bit)
        libpthread.so.0()(64bit)

portmidi-devel-131-1.fc11.x86_64.rpm
        portmidi-devel = 131-1.fc11
        portmidi-devel(x86-64) = 131-1.fc11
  =
        libportmidi.so.0()(64bit)
        libporttime.so.0()(64bit)
        portmidi = 131-1.fc11

OK  %check is not present; no test suite upstream.
OK  shared libraries installed; ldconfig called properly
OK  owns the directories it creates.
OK  doesn't own any directories it shouldn't.
OK  no duplicates in %files.
OK  file permissions are appropriate.
OK  code, not content.
OK  documentation is small, so no -doc subpackage is necessary.
OK  %docs are not necessary for the proper functioning of the package.
OK  headers are in a separate -devel package.
OK  no pkgconfig files.
OK  no static libraries.
OK  no libtool .la files.

Suggestions:

- There is a doxygen style documentation provided in this package, you should include it in the -devel and don't forget to pickup doxygen as a BR.
- Please consider preserving timestamps of installed files

APPROVED.
Comment 3 Orcan Ogetbil 2009-01-27 13:54:55 EST
> Suggestions:
> 
> - There is a doxygen style documentation provided in this package, you should
> include it in the -devel and don't forget to pickup doxygen as a BR.
> - Please consider preserving timestamps of installed files
> 
> APPROVED.

Thanks! Will do.

New Package CVS Request
=======================
Package Name: portmidi
Short Description: Real-time Midi I/O Library
Owners: oget
Branches: F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-01-28 00:33:20 EST
cvs done.
Comment 5 Fedora Update System 2009-01-29 18:07:34 EST
portmidi-131-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update portmidi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1149
Comment 6 Michael J Gruber 2010-12-13 05:32:07 EST
Package Change Request
======================
Package Name: portmidi
New Branches: el6
Owners: mjg
Comment 7 Orcan Ogetbil 2010-12-13 05:36:13 EST
As the Fedora maintainer of portmidi, I am fine with Michael maintaining it on EPEL.
Comment 8 Jason Tibbitts 2010-12-13 13:31:53 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.